# $Revision: 1.12 $, $Date: 2005-10-10 15:49:21 $
Summary:	A GTK+ viewer to view MathML documents
Summary(pl):	Przegldarka dokumentw MathML dla GTK+
Name:		gtkmathview
Version:	0.7.5
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
#Source0Download: http://helm.cs.unibo.it/mml-widget/
Source0:	http://www.cs.unibo.it/helm/mml-widget/sources/%{name}-%{version}.tar.gz
# Source0-md5:	5e3e9c477614892e506647e6d6c2dbdd
Patch0:		%{name}-no_static_viewer.patch
URL:		http://helm.cs.unibo.it/mml-widget/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.2.0
BuildRequires:	gdome2-cpp_smart-devel >= 0.1.8
BuildRequires:	libxml2-devel >= 2.6.7
BuildRequires:	libxslt-progs
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	t1lib-devel >= 1.2
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkMathView is a GTK+ Widget for rendering MathML documents.

%description -l pl
GtkMathView jest przegldark MathML dla GTK+.

%package libs
Summary:	A GTK+ Widget for rendering MathML documents
Summary(pl):	Biblioteki GTK+ Widget do renderowania dokumentw MathML
Group:		Development/Libraries
Requires:	gdome2-cpp_smart >= 0.1.8
Requires:	gtk+2 >= 1:2.2.0

%description libs
GTK+ Widgets for rendering MathML documents.

%description libs -l pl
Biblioteki GTK+ Widget do renderowania dokumentw MathML.

%package devel
Summary:	A GTK+ Widget for rendering MathML documents - header files
Summary(pl):	Biblioteki GTK+ Widget do renderowania dokumentw MathML - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gdome2-cpp_smart-devel >= 0.1.8
Requires:	gtk+2-devel >= 1:2.2.0
Requires:	libxml2-devel >= 2.0.0

%description devel
Header files for GTK+ Widgets for rendering MathML documents.

%description devel -l pl
Pliki nagwkowe dla GTK+ Widget do renderowania dokumentw MathML.

%package static
Summary:	A GTK+ Widget for rendering MathML documents - static library
Summary(pl):	Biblioteki GTK+ Widget do renderowania dokumentw MathML - wersja statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version libraries for GTK+ for rendering MathML documents.

%description static -l pl
Wersja statyczna bibliotek dla GTK+ do renderowania dokumentw MathML.

%prep
%setup -q
%patch0 -p1

echo 'm4_pattern_allow(AM_BINRELOC)' > acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-libxml2 \
	--enable-stats \
	--with-t1lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CONTRIBUTORS ChangeLog HISTORY LICENSE NEWS README TODO
%attr(755,root,root) %{_bindir}/mathmlviewer
%attr(755,root,root) %{_bindir}/mathmlsvg
%{_mandir}/man1/math*.1*
%{_datadir}/%{name}

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_sysconfdir}/gtkmathview
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gtkmathview/gtkmathview.conf.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkmathview.spec,v $
Revision 1.12  2005-10-10 15:49:21  freetz
- 0.7.5

Revision 1.11  2005/10/10 15:05:00  freetz
- 0.7.4, no_static_viewer patch added, %%files update

Revision 1.10  2005/02/21 23:30:12  qboosh
- release 1 (although viewer doesn't seem to work for me... but 0.6.3 does the same)

Revision 1.9  2005/02/20 17:06:52  qboosh
- don't package mathml2ps(1) manual for non-existing utility

Revision 1.8  2005/02/14 23:36:25  qboosh
- added link patch

Revision 1.7  2005/02/13 22:57:35  qboosh
- updated to 0.6.4, some deps fixes

Revision 1.6  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.5  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.4  2004/08/31 20:52:28  qboosh
- cosmetics, BR: pkgconfig

Revision 1.3  2004/08/30 21:45:26  undefine
- ups, md5 :)

Revision 1.2  2004/08/30 21:27:20  undefine
- ups, perms on %{_bindir} :)

Revision 1.1  2004/08/30 21:26:41  undefine
- initital pld version based partialy on included spec
